import React from "react";
import { FaChevronRight } from "react-icons/fa6";

export const SideNavContent = (props) => {
    const { title, items } = props;
    console.log(items);
    return (
    <div className="py-3 border-b-[1px] border-gray-300">
      <h3 className="text-lg font-titleFont font-semibold mb-1 px-6">
        {title}
      </h3>
      <ul className="text-sm">
        {items.map((item, idx) => (
          <li key={idx} className="flex items-center justify-between hover:bg-zinc-200 px-6 py-1 cursor-pointer">
            {item.title} <FaChevronRight />
          </li>
        ))}
      </ul>
    </div>
  );
};
