/** @type {import('tailwindcss').Config} */
export default {
  content: ["./index.html", "./src/**/*.{js,ts,jsx,tsx}"],
  theme: {
    extend: {
      maxWidth: {
        container: "1440px",
      },
      screens: {
        xs: "320px",
        sm: "375px",
        sml: "500px",
        md: "667px",
        mdl: "768px",
        lg: "960px",
        lgl: "1024px",
        xl: "1280px",
      },
      fontFamily: {
        titleFont: "Rubik",
        bodyFont: "Work Sans",
      },
      colors: {
        darkBrown: "#483C32",
        olive: "#808000",
        brown: "#5C4033",
        green: "#228B22",
        sky_blue: "#87CEEB",
      },
      boxShadow: {
        testShadow: "0px 0px 32px 1px rgba(199,199,199,1)",
        input: "0 0 3px 2px #228B22",
      },
    },
  },
  plugins: [],
  darkMode: "class",
};
